#!/bin/bash

pem="/home/nick/Desktop/Amazon/ami-test/myAmiTestKey.pem"

if [ $# -eq 1 ]; then
	echo "about to create instance with image $1"	
	instanceid=$( ec2-run-instances $1 -n 4 -k myAmiTestKey -d "store-size=123PB backup-every=5min | replicate-every=1min | replicate-every=2min | replicate-every=10min | replicate-every=20min"\
| egrep ^INSTANCE | cut --fields=2 );

	echo "instanceid=$instanceid";
	
	echo "instance created successfully and now wait for it being ready..."
	while host=$(ec2-describe-instances "$instanceid" | egrep ^INSTANCE | cut -f4) && test -z $host; do 
		echo -n .; 
		sleep 1; 
	done
	
	echo -e "\nThis is the host:$host";
	hostname="ubuntu@$host"

	gnome-terminal -e "ssh -q -i $pem $hostname"
	
	wait
	
	echo "where am I";
fi
