##############################################
## input parameter is instance id, otherwise read from file "id.txt"

if ( $args.length -eq 1 )
{
	$instanceid=$args[0];
}
else
{
	$instanceid=(cat id.txt);
}
	echo "about to create image for instance $instanceid"	

	echo "let us get description of instance $instanceid"
	$result=(ec2-describe-instances $instanceid);
	foreach ($line in $result)
	{
		$words=$line -split "`t";
		if ($words[0] -ieq "INSTANCE")
		{
			$status=$words[5];
			$instanceType=$words[8];
		}
	}

	$NOW=(date -uformat "%Y-%m-%d-%H-%M-%S");

	$imageName="ami-$NOW-windows-m1.small";
	$imageDescription="$NOW-$instanceType";
	
	$result=-split (ec2-create-image $instanceid -n $imageName -d $imageDescription);
	$image=$result[1];
	echo "The created image is:$image";
	echo $image |  out-file -filepath "ami.txt"
	echo "now we waiting image to be available and it will take a few minutes, be patient..."

	do
	{
		$status="pending";
		$result=(ec2-describe-images $image);
		foreach ($line in $result)
		{
			$words=-split $line ;
			if ($words[0] -ieq "IMAGE")
			{				
				$status=$words[4];
			}
		}
		write-host "." -nonewline;
		start-sleep 1;
		
	}while ($status -ieq "pending");
			

	if ( $status -ieq "failed")
	{
		echo "image created failed";
	}
	else
	{
		echo "The result status of image is:$status";

		echo $image |out-file -filepath "ami.txt";

        	echo "Now we are shutting down instance, it will take a few minutes, be patient..."

		ec2-terminate-instances $instanceid;
        	do
		{
			$status="pending";
			$result=(ec2-describe-instances $instanceid);
			foreach ($line in $result)
			{
				$words=$line -split "`t";
				if ($words[0] -ieq "INSTANCE")
				{
					$status=$words[5];
				}
			}
			write-host "." -nonewline;
			start-sleep 1;
		}
		while ($status -ieq "pending");
			
	                
        if ( $status -ieq "terminated")
		{
            	echo "The instance status:$status";
			
		}
	}

	

