###################################################################################################
## this will create an instance based on ami of last saved. or you can supply one from command line
## it assumes you save the ami in "ami.txt" automatically by running "done.ps1"
###################################################################################################

$pem="d:\amazon\myAmiTestKey.pem"
$key="myAmiTestKey"
$type="m1.small"
$zone="us-east-1d"

	if ( $args.length -eq 1 )
	{
		$ami=$args[0];
	}
	else
	{
		$ami=(cat ami.txt);
	}
	


	echo "about to create instance with image $ami "	

	$result=(ec2-run-instances $ami -k $key -z $zone -t $type);
	foreach ($line in $result)
	{
		$line=-split $line;
		if ($line[0] -ieq "INSTANCE")
		{
			$instanceid = $line[1];
			break;
		}
	}
	echo "instanceid=$instanceid";
	
	echo "instance created and now wait for it being ready..."
	do
	{
		$status="pending";
		$result=(ec2-describe-instances $instanceid);
		foreach ($line in $result)
		{
			$line=$line -split "`t";
			if ($line[0] -ieq "INSTANCE")
			{				
				$status=$line[5];
				$hostname=$line[3];				
				
			}
		}
				
		write-host "." -nonewline
		start-sleep 1;
	}
	while ($status -ieq "pending");

	if ($status -ieq "running")
	{
		echo "host=$hostname";
		echo "the instance status is $status"
	}
	else
	{
		echo "the instance status is $status"
	}
		
	### save instanceid to file for later using
	
	echo "$instanceid" | out-file -filepath "id.txt"

#	echo "ssh -i $pem ubuntu@$hostname"

